Page MenuHomePhabricator

Migration of Mobile Web team to Phabricator
Closed, ResolvedPublic

Description

Let's track progress on the migration of this team to Phabricator. Feel free editing this task description.

  • Team member assigned to this task
  • Link(s) to the current projects in Mingle, Trello, other
  • (optional) Have you scheduled a team meeting with @Qgil to discuss the migration? (yyyy-mm-dd)
  • Blockers of the migration identified: (list the task numbers between {curly brackets})
  • Planned date for the migration/creation of a first real project: yyyy-mm-dd
  • Do you plan to have all your projects moved by the end of 2014? Yes/No, and if not, why

(...)

  • More than half of our team members and ongoing sprints are working in Phabricator now (yyyy-mm-dd)
  • All our projects have been moved to Phabricator. Mission completion! (yyyy-mm-dd)

Event Timeline

Qgil created this task.Oct 23 2014, 7:58 AM
Qgil raised the priority of this task from to Medium.
Qgil updated the task description. (Show Details)
Qgil added a project: Project-Management.
Qgil changed Security from none to None.
Qgil added subscribers: Qgil, Tfinc, KLans_WMF.
Qgil renamed this task from Migration of Mobile team to Phabricator to Migration of Mobile Web team to Phabricator.Oct 24 2014, 2:08 PM
Qgil added a subscriber: Maryana.
Qgil added a comment.Nov 27 2014, 8:10 AM

As per T434 , in the following days I plan to scan the levels of use of Phabricator by all the WMF product & engineering teams. Please keep the description of this task up to date.

Who should be the owner of this task? It would be good to have a point of contact.

It's not really clear to me what this bug means.

We are using Phabricator exclusively for managing bugs now instead of Trello and we are now putting engineering specific tasks here instead of Trello but the team still finds Trello a superior product for managing our iterations and story writing. We don't have any plans to revisit that until code review is happening in Phabricator.

We talked about it as a team, and the Trello interface right now is just more intuitive, more feature rich, more user friendly and there is a mobile app which a lot of the team find extremely useful. We moved from Mingle to Trello for these things and moving these workflows to Phabricator would be a step back for us and slow us down in many ways. That aside we are committed to reporting bugs as we find them and improving Phabricator and revisiting this decision later on.

Qgil lowered the priority of this task from Medium to Low.Jan 5 2015, 6:55 PM

This task tracks the complete migration of the Mobile Web team to Phabricator, leaving Trello behind.

Following your reasoning, I just added T18 as blocker of this task, which also means that the priority is Low. If you have other specific blockers, please add them as well. This helps everybody planning accordingly.

Currently I'm counting the migration of the Mobile Web team at 25% in T434, which seems to correspond with the fact that you are handling bug reports and other engineering tasks exclusively here.

If you have any updates, please report them here.

Qgil added a comment.Feb 27 2015, 10:29 AM

If/when you decide to move to Phabricator entirely, will you need migration of Trello cards to Phabricator tasks, aka someone to run T821: Trello -> Phabricator migration script?

Qgil added a comment.Mar 27 2015, 1:09 PM

Hi, I'm preparing the Phabricator migration statistics for the Developer-Advocacy quarterly review. Currently T434: Show percentage of teams migrated to Phabricator for project management reports that your situation with Phabricator is

0.25	  Organized workboard, project management elsewhere

Is this accurate?

The Gather team is completely using phabricator (no trello) that's 3/7 members of mobile web

The Gather team is completely using phabricator (no trello) that's 3/7 members of mobile web

The other 4/7 mobile web team members are still using Trello for project
management (although we are now agreed that we definitely want to make the
move to Phab soon, just need to find time to set up workboards, socialize
he change, etc.).

Qgil added a subscriber: Spage.Apr 8 2015, 11:14 AM

For some reason we counted Gather as an own team, and now I don't want to touch those numbers now...

It is very good to know that the move is getting closer. If you want help migrating your Trello legacy cards, please contact @Spage.

Qgil added a comment.May 7 2015, 12:52 PM

Now there is no single Mobile Web team, but Desktop & Mobile Web under Reading. How is this impacting the use of Trello / Phabricator, and what needs to happen to consider this task Resolved?

The final step is to run the Trello import script. We've been holding off
on this while we get used to Phabricator and figure out ideal workflows.
We're probably getting to a place where we can think about doing a last
pass on trello backlogs and asking S to help us run the script. Given Lyon
hackathon travel, etc. I predict the soonest we could call this "done"
would be the end of June.

Not sure how Mobile web -> Mobile web/desktop post reorg transition will
impact this project. I think we will be in a better place to answer this
after our Readership strategy process gets well underway and maybe after Q1
planning.

jayvdb added a subscriber: jayvdb.Jun 11 2015, 2:30 AM
Qgil added a comment.Jun 11 2015, 7:13 AM

It's been more than a month. Could you share an update, please?

The final step is to run the Trello import script. We've been holding off
on this while we get used to Phabricator and figure out ideal workflows.

As it's end of June now: Any news to share?

Restricted Application added a subscriber: scfc. · View Herald TranscriptJun 30 2015, 8:41 PM
Jdlrobson closed this task as Resolved.Jun 30 2015, 8:43 PM
Jdlrobson claimed this task.

As far as I'm aware we haven't been using Trello for more than 3 months for any purpose. Someone can reopen if necessary.